Last Comment Bug 729817 - freezes and crashes @ nouveau_dri.so when on github
: freezes and crashes @ nouveau_dri.so when on github
Status: VERIFIED FIXED
: crash
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 10 Branch
: x86_64 Linux
: -- critical with 1 vote (vote)
: mozilla13
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 19:30 PST by K Lars Lohn [:lars] [:klohn]
Modified: 2015-01-04 11:13 PST (History)
14 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
fixed
fixed
-
affected


Attachments
block Nouveau (3.55 KB, patch)
2012-02-23 11:42 PST, Benoit Jacob [:bjacob] (mostly away)
matt.woodrow: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta-
Details | Diff | Splinter Review
Allow Nouveau when Mesa >= 8.0 (1.41 KB, patch)
2012-03-08 20:17 PST, Benoit Jacob [:bjacob] (mostly away)
jacob.benoit.1: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description K Lars Lohn [:lars] [:klohn] 2012-02-22 19:30:46 PST
running Firefox 10.0.1 for openSuse 12.1, I'm getting freezes and crashes that appear to be video related.

see these crashes: 

https://crash-stats.mozilla.com/report/index/bp-ec695c14-0f53-49c6-a78c-ddaf22120221
https://crash-stats.mozilla.com/report/index/bp-cccbb283-d326-470f-b127-9789b2120223
https://crash-stats.mozilla.com/report/index/bp-ca352fe3-7dc9-4385-ad18-2d1162120223
https://crash-stats.mozilla.com/report/index/bp-8927613c-ab6a-4a16-ad3c-0ba502120223

There were a half dozen more freezes that did not end up sending a breakpad report to Socorro.  In those cases, I had to SIGKILL Firefox.
Comment 1 Benoit Jacob [:bjacob] (mostly away) 2012-02-22 19:37:04 PST
You're using WebGL with the Nouveau 3D driver. The reason why it's not blacklisted is that no sane Linux distro ships it by default (I'm talking about the Nouveau 3D driver. The Nouveau 2D driver is a different thing, and is fine).

Does OpenSuse 12.1 ship the Nouveau 3D driver by default?
 - if yes, we need to blacklist it
 - if no, this is a RESOLVED INVALID: the Nouveau authors make it clear that Nouveau is not ready: http://nouveau.freedesktop.org/wiki/MesaDrivers , so we should be able to assume that if the user is running it, he's aware of its issues.
Comment 2 K Lars Lohn [:lars] [:klohn] 2012-02-23 11:04:51 PST
This was a fairly fresh install with no special attention to video drivers.  I can see that others have had a similar problem with the Nouveau 3D driver being chosen by default for this video card.  On trying the proprietary nVidia drivers, I find they barely work at all.  Tempted to do a complete reinstall and this time pay attention to what is loaded.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 11:19:05 PST
That's very worrying. We need to confirm with OpenSuse people what's really happening.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 11:20:01 PST
What is your video card btw? the proprietary nvidia driver should work fine.
Comment 5 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 11:25:56 PST
Filed: https://bugs.freedesktop.org/show_bug.cgi?id=46533
Comment 6 K Lars Lohn [:lars] [:klohn] 2012-02-23 11:28:31 PST
Video card is nVidia Quadro FX 570  -- with the proprietary driver everything on the screen is slow: window dragging leaves artifacts, even typing in a terminal window, there is a lag on updating the screen.  Switching back to the original driver and things are fast, but things are crashy.  lose/lose situation.
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 11:42:50 PST
Created attachment 600115 [details] [diff] [review]
block Nouveau
Comment 8 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 11:44:42 PST
Lars, until this patch lands, you can get a usable Firefox by setting the webgl.disabled preference.
Comment 9 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 12:08:59 PST
https://bugs.freedesktop.org/show_bug.cgi?id=46533#c3 confirms that OpenSuse is now installing Nouveau 3D by default, so we have to blacklist. What's still up for discussion is whether/when we can un-blacklist some versions / some cards.
Comment 10 Matt Woodrow (:mattwoodrow) 2012-02-23 14:14:18 PST
Comment on attachment 600115 [details] [diff] [review]
block Nouveau

Review of attachment 600115 [details] [diff] [review]:
-----------------------------------------------------------------

Might be worth getting an alternate translation at some point now that we have multiple special strings for the suggested driver version. I'm fine with this for now though.
Comment 11 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 14:37:17 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/b638c0deeafa
Comment 12 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 14:39:30 PST
Comment on attachment 600115 [details] [diff] [review]
block Nouveau

[Approval Request Comment]
Regression caused by (bug #): not our regression. OpenSuse started shipping a bad driver.
User impact if declined: WebGL crashy on OpenSuse (Linux distro) on NVIDIA cards
Testing completed (on m-c, etc.): just landed on m-i
Risk to taking this patch (and alternatives if risky): very low risk
String changes made by this patch: none
Comment 13 Brandon Frohs 2012-02-23 15:50:29 PST
Also affects Ubuntu 11.10, 32-bit & 64-bit.
Comment 14 Brandon Frohs 2012-02-23 15:56:50 PST
Most likely relate to these crash signatures as well:

- nouveau_dri.so@0xa1a8a 
- nouveau_dri.so@0xa17ea 
- nouveau_dri.so@0xbd4af
Comment 16 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 16:33:25 PST
The xpcshell is unspecific about what went wrong, but this a D3D9 test on linux (!)... my best guess is that's caused by bug 696636.
Comment 17 Benoit Jacob [:bjacob] (mostly away) 2012-02-23 16:55:47 PST
Lars: can you please paste here the contents of about:support Graphics and Modified Preferences? This crash should have been caught by the glxtest probe, so I'd like to understand what happened.
Comment 18 K Lars Lohn [:lars] [:klohn] 2012-02-23 17:15:49 PST
I fear things have changed a lot on my machine.  After installing the nVidia driver, all hell broke loose and I could not figure out how to return to the previous nouveau configuration.  After my workstation was useless all day, I threw up my hands (and my lunch), wiped the machine and reinstalled Suse 12.1.  Many updates were installed that I did not have before. While I have nouveau back, FF 10.0.2 is now installed and so far, it is no longer crashy.

Here's the current contents of "Modified Preferences" and "Graphics":

  Modified Preferences

      Name

      Value

        accessibility.typeaheadfind.flashBar
        0

        browser.places.smartBookmarksVersion
        2

        browser.startup.homepage
        http://192.168.168.30/wiki/index.php/User:Lars

        browser.startup.homepage_override.buildID
        2012021500

        browser.startup.homepage_override.mstone
        rv:10.0.2

        browser.tabs.insertRelatedAfterCurrent
        false

        browser.tabs.loadFolderAndReplace
        false

        browser.tabs.warnOnClose
        false

        dom.disable_window_move_resize
        true

        dom.event.contextmenu.enabled
        false

        extensions.lastAppVersion
        10.0.2

        gfx.blacklist.direct2d
        2

        gfx.blacklist.layers.direct3d10
        2

        gfx.blacklist.layers.direct3d10-1
        2

        gfx.blacklist.layers.direct3d9
        2

        gfx.blacklist.layers.opengl
        2

        gfx.blacklist.suggested-driver-version
        NVIDIA 257.21

        gfx.blacklist.webgl.angle
        2

        gfx.blacklist.webgl.msaa
        2

        gfx.blacklist.webgl.opengl
        2

        network.cookie.prefsMigrated
        true

        places.database.lastMaintenance
        1329868887

        places.history.expiration.transient_current_max_pages
        104858

        places.history.expiration.transient_optimal_database_size
        167772160

        print.print_printer
        Hewlett-Packard-HP-Color-LaserJet-3800

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_bgcolor
        false

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_bgimages
        false

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_colorspace
        default

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_command
        lpr ${MOZ_PRINTER_NAME:+-P"$MOZ_PRINTER_NAME"}

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_downloadfonts
        false

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_edge_bottom
        0

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_edge_left
        0

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_edge_right
        0

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_edge_top
        0

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_evenpages
        true

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_footercenter

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_footerleft
        &PT

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_footerright
        &D

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_headercenter

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_headerleft
        &T

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_headerright
        &U

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_in_color
        true

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_margin_bottom
        0.500000012107193

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_margin_left
        0.500000012107193

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_margin_right
        0.500000012107193

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_margin_top
        0.500000012107193

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_oddpages
        true

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_orientation
        0

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_page_delay
        50

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_paper_data
        0

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_paper_height
        279.40

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_paper_name
        na_letter

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_paper_size_type
        1

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_paper_size_unit
        1

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_paper_width
        215.90

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_plex_name
        default

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_resolution_name
        default

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_reversed
        false

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_scaling
        1.00

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_shrink_to_fit
        true

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_to_file
        false

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_unwriteable_margin_bottom
        56

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_unwriteable_margin_left
        25

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_unwriteable_margin_right
        25

        print.printer_Hewlett-Packard-HP-Color-LaserJet-3800.print_unwriteable_margin_top
        25

        print.tmp.printerfeatures.CUPS/HP3800.can_change_colorspace
        false

        print.tmp.printerfeatures.CUPS/HP3800.can_change_downloadfonts
        false

        print.tmp.printerfeatures.CUPS/HP3800.can_change_jobtitle
        false

        print.tmp.printerfeatures.CUPS/HP3800.can_change_num_copies
        true

        print.tmp.printerfeatures.CUPS/HP3800.can_change_orientation
        true

        print.tmp.printerfeatures.CUPS/HP3800.can_change_paper_size
        true

        print.tmp.printerfeatures.CUPS/HP3800.can_change_plex
        false

        print.tmp.printerfeatures.CUPS/HP3800.can_change_printincolor
        true

        print.tmp.printerfeatures.CUPS/HP3800.can_change_resolution
        false

        print.tmp.printerfeatures.CUPS/HP3800.can_change_spoolercommand
        false

        print.tmp.printerfeatures.CUPS/HP3800.colorspace.0.name
        default

        print.tmp.printerfeatures.CUPS/HP3800.colorspace.count
        1

        print.tmp.printerfeatures.CUPS/HP3800.has_special_printerfeatures
        true

        print.tmp.printerfeatures.CUPS/HP3800.orientation.0.name
        portrait

        print.tmp.printerfeatures.CUPS/HP3800.orientation.1.name
        landscape

        print.tmp.printerfeatures.CUPS/HP3800.orientation.count
        2

        print.tmp.printerfeatures.CUPS/HP3800.paper.0.height_mm
        210

        print.tmp.printerfeatures.CUPS/HP3800.paper.0.is_inch
        false

        print.tmp.printerfeatures.CUPS/HP3800.paper.0.name
        A5

        print.tmp.printerfeatures.CUPS/HP3800.paper.0.width_mm
        148

        print.tmp.printerfeatures.CUPS/HP3800.paper.1.height_mm
        297

        print.tmp.printerfeatures.CUPS/HP3800.paper.1.is_inch
        false

        print.tmp.printerfeatures.CUPS/HP3800.paper.1.name
        A4

        print.tmp.printerfeatures.CUPS/HP3800.paper.1.width_mm
        210

        print.tmp.printerfeatures.CUPS/HP3800.paper.2.height_mm
        420

        print.tmp.printerfeatures.CUPS/HP3800.paper.2.is_inch
        false

        print.tmp.printerfeatures.CUPS/HP3800.paper.2.name
        A3

        print.tmp.printerfeatures.CUPS/HP3800.paper.2.width_mm
        297

        print.tmp.printerfeatures.CUPS/HP3800.paper.3.height_mm
        279

        print.tmp.printerfeatures.CUPS/HP3800.paper.3.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP3800.paper.3.name
        Letter

        print.tmp.printerfeatures.CUPS/HP3800.paper.3.width_mm
        215

        print.tmp.printerfeatures.CUPS/HP3800.paper.4.height_mm
        355

        print.tmp.printerfeatures.CUPS/HP3800.paper.4.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP3800.paper.4.name
        Legal

        print.tmp.printerfeatures.CUPS/HP3800.paper.4.width_mm
        215

        print.tmp.printerfeatures.CUPS/HP3800.paper.5.height_mm
        431

        print.tmp.printerfeatures.CUPS/HP3800.paper.5.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP3800.paper.5.name
        Tabloid

        print.tmp.printerfeatures.CUPS/HP3800.paper.5.width_mm
        279

        print.tmp.printerfeatures.CUPS/HP3800.paper.6.height_mm
        254

        print.tmp.printerfeatures.CUPS/HP3800.paper.6.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP3800.paper.6.name
        Executive

        print.tmp.printerfeatures.CUPS/HP3800.paper.6.width_mm
        190

        print.tmp.printerfeatures.CUPS/HP3800.paper.count
        7

        print.tmp.printerfeatures.CUPS/HP3800.plex.0.name
        default

        print.tmp.printerfeatures.CUPS/HP3800.plex.count
        1

        print.tmp.printerfeatures.CUPS/HP3800.resolution.0.name
        default

        print.tmp.printerfeatures.CUPS/HP3800.resolution.count
        1

        print.tmp.printerfeatures.CUPS/HP3800.supports_colorspace_change
        false

        print.tmp.printerfeatures.CUPS/HP3800.supports_downloadfonts_change
        false

        print.tmp.printerfeatures.CUPS/HP3800.supports_jobtitle_change
        false

        print.tmp.printerfeatures.CUPS/HP3800.supports_orientation_change
        true

        print.tmp.printerfeatures.CUPS/HP3800.supports_paper_size_change
        true

        print.tmp.printerfeatures.CUPS/HP3800.supports_plex_change
        false

        print.tmp.printerfeatures.CUPS/HP3800.supports_printincolor_change
        true

        print.tmp.printerfeatures.CUPS/HP3800.supports_resolution_change
        false

        print.tmp.printerfeatures.CUPS/HP3800.supports_spoolercommand_change
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_colorspace
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_downloadfonts
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_jobtitle
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_num_copies
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_orientation
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_paper_size
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_plex
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_printincolor
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_resolution
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.can_change_spoolercommand
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.colorspace.0.name
        default

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.colorspace.count
        1

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.has_special_printerfeatures
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.orientation.0.name
        portrait

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.orientation.1.name
        landscape

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.orientation.count
        2

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.0.height_mm
        210

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.0.is_inch
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.0.name
        A5

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.0.width_mm
        148

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.1.height_mm
        297

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.1.is_inch
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.1.name
        A4

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.1.width_mm
        210

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.2.height_mm
        420

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.2.is_inch
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.2.name
        A3

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.2.width_mm
        297

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.3.height_mm
        279

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.3.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.3.name
        Letter

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.3.width_mm
        215

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.4.height_mm
        355

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.4.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.4.name
        Legal

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.4.width_mm
        215

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.5.height_mm
        431

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.5.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.5.name
        Tabloid

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.5.width_mm
        279

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.6.height_mm
        254

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.6.is_inch
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.6.name
        Executive

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.6.width_mm
        190

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.paper.count
        7

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.plex.0.name
        default

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.plex.count
        1

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.resolution.0.name
        default

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.resolution.count
        1

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_colorspace_change
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_downloadfonts_change
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_jobtitle_change
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_orientation_change
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_paper_size_change
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_plex_change
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_printincolor_change
        true

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_resolution_change
        false

        print.tmp.printerfeatures.CUPS/HP_Color_LaserJet_3800__E83FC1_.supports_spoolercommand_change
        false

        print.tmp.printerfeatures.HP3800.can_change_colorspace
        false

        print.tmp.printerfeatures.HP3800.can_change_downloadfonts
        false

        print.tmp.printerfeatures.HP3800.can_change_jobtitle
        false

        print.tmp.printerfeatures.HP3800.can_change_num_copies
        true

        print.tmp.printerfeatures.HP3800.can_change_orientation
        true

        print.tmp.printerfeatures.HP3800.can_change_paper_size
        true

        print.tmp.printerfeatures.HP3800.can_change_plex
        false

        print.tmp.printerfeatures.HP3800.can_change_printincolor
        true

        print.tmp.printerfeatures.HP3800.can_change_resolution
        false

        print.tmp.printerfeatures.HP3800.can_change_spoolercommand
        false

        print.tmp.printerfeatures.HP3800.colorspace.0.name
        default

        print.tmp.printerfeatures.HP3800.colorspace.count
        1

        print.tmp.printerfeatures.HP3800.has_special_printerfeatures
        true

        print.tmp.printerfeatures.HP3800.orientation.0.name
        portrait

        print.tmp.printerfeatures.HP3800.orientation.1.name
        landscape

        print.tmp.printerfeatures.HP3800.orientation.count
        2

        print.tmp.printerfeatures.HP3800.paper.0.height_mm
        210

        print.tmp.printerfeatures.HP3800.paper.0.is_inch
        false

        print.tmp.printerfeatures.HP3800.paper.0.name
        A5

        print.tmp.printerfeatures.HP3800.paper.0.width_mm
        148

        print.tmp.printerfeatures.HP3800.paper.1.height_mm
        297

        print.tmp.printerfeatures.HP3800.paper.1.is_inch
        false

        print.tmp.printerfeatures.HP3800.paper.1.name
        A4

        print.tmp.printerfeatures.HP3800.paper.1.width_mm
        210

        print.tmp.printerfeatures.HP3800.paper.2.height_mm
        420

        print.tmp.printerfeatures.HP3800.paper.2.is_inch
        false

        print.tmp.printerfeatures.HP3800.paper.2.name
        A3

        print.tmp.printerfeatures.HP3800.paper.2.width_mm
        297

        print.tmp.printerfeatures.HP3800.paper.3.height_mm
        279

        print.tmp.printerfeatures.HP3800.paper.3.is_inch
        true

        print.tmp.printerfeatures.HP3800.paper.3.name
        Letter

        print.tmp.printerfeatures.HP3800.paper.3.width_mm
        215

        print.tmp.printerfeatures.HP3800.paper.4.height_mm
        355

        print.tmp.printerfeatures.HP3800.paper.4.is_inch
        true

        print.tmp.printerfeatures.HP3800.paper.4.name
        Legal

        print.tmp.printerfeatures.HP3800.paper.4.width_mm
        215

        print.tmp.printerfeatures.HP3800.paper.5.height_mm
        431

        print.tmp.printerfeatures.HP3800.paper.5.is_inch
        true

        print.tmp.printerfeatures.HP3800.paper.5.name
        Tabloid

        print.tmp.printerfeatures.HP3800.paper.5.width_mm
        279

        print.tmp.printerfeatures.HP3800.paper.6.height_mm
        254

        print.tmp.printerfeatures.HP3800.paper.6.is_inch
        true

        print.tmp.printerfeatures.HP3800.paper.6.name
        Executive

        print.tmp.printerfeatures.HP3800.paper.6.width_mm
        190

        print.tmp.printerfeatures.HP3800.paper.count
        7

        print.tmp.printerfeatures.HP3800.plex.0.name
        default

        print.tmp.printerfeatures.HP3800.plex.count
        1

        print.tmp.printerfeatures.HP3800.resolution.0.name
        default

        print.tmp.printerfeatures.HP3800.resolution.count
        1

        print.tmp.printerfeatures.HP3800.supports_colorspace_change
        false

        print.tmp.printerfeatures.HP3800.supports_downloadfonts_change
        false

        print.tmp.printerfeatures.HP3800.supports_jobtitle_change
        false

        print.tmp.printerfeatures.HP3800.supports_orientation_change
        true

        print.tmp.printerfeatures.HP3800.supports_paper_size_change
        true

        print.tmp.printerfeatures.HP3800.supports_plex_change
        false

        print.tmp.printerfeatures.HP3800.supports_printincolor_change
        true

        print.tmp.printerfeatures.HP3800.supports_resolution_change
        false

        print.tmp.printerfeatures.HP3800.supports_spoolercommand_change
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_colorspace
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_downloadfonts
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_jobtitle
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_num_copies
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_orientation
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_paper_size
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_plex
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_printincolor
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_resolution
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.can_change_spoolercommand
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.colorspace.0.name
        default

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.colorspace.count
        1

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.has_special_printerfeatures
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.orientation.0.name
        portrait

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.orientation.1.name
        landscape

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.orientation.count
        2

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.0.height_mm
        210

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.0.is_inch
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.0.name
        A5

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.0.width_mm
        148

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.1.height_mm
        297

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.1.is_inch
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.1.name
        A4

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.1.width_mm
        210

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.2.height_mm
        420

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.2.is_inch
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.2.name
        A3

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.2.width_mm
        297

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.3.height_mm
        279

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.3.is_inch
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.3.name
        Letter

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.3.width_mm
        215

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.4.height_mm
        355

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.4.is_inch
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.4.name
        Legal

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.4.width_mm
        215

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.5.height_mm
        431

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.5.is_inch
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.5.name
        Tabloid

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.5.width_mm
        279

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.6.height_mm
        254

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.6.is_inch
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.6.name
        Executive

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.6.width_mm
        190

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.paper.count
        7

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.plex.0.name
        default

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.plex.count
        1

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.resolution.0.name
        default

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.resolution.count
        1

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_colorspace_change
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_downloadfonts_change
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_jobtitle_change
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_orientation_change
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_paper_size_change
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_plex_change
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_printincolor_change
        true

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_resolution_change
        false

        print.tmp.printerfeatures.HP_Color_LaserJet_3800__E83FC1_.supports_spoolercommand_change
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_colorspace
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_downloadfonts
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_jobtitle
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_num_copies
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_orientation
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_paper_size
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_plex
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_printincolor
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_resolution
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.can_change_spoolercommand
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.colorspace.0.name
        default

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.colorspace.count
        1

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.has_special_printerfeatures
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.orientation.0.name
        portrait

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.orientation.1.name
        landscape

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.orientation.count
        2

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.0.height_mm
        210

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.0.is_inch
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.0.name
        A5

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.0.width_mm
        148

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.1.height_mm
        297

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.1.is_inch
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.1.name
        A4

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.1.width_mm
        210

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.2.height_mm
        420

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.2.is_inch
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.2.name
        A3

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.2.width_mm
        297

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.3.height_mm
        279

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.3.is_inch
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.3.name
        Letter

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.3.width_mm
        215

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.4.height_mm
        355

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.4.is_inch
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.4.name
        Legal

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.4.width_mm
        215

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.5.height_mm
        431

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.5.is_inch
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.5.name
        Tabloid

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.5.width_mm
        279

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.6.height_mm
        254

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.6.is_inch
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.6.name
        Executive

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.6.width_mm
        190

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.paper.count
        7

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.plex.0.name
        default

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.plex.count
        1

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.resolution.0.name
        default

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.resolution.count
        1

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_colorspace_change
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_downloadfonts_change
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_jobtitle_change
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_orientation_change
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_paper_size_change
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_plex_change
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_printincolor_change
        true

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_resolution_change
        false

        print.tmp.printerfeatures.Hewlett-Packard-HP-Color-LaserJet-3800.supports_spoolercommand_change
        false

        print.tmp.printerfeatures.PostScript/default.can_change_colorspace
        false

        print.tmp.printerfeatures.PostScript/default.can_change_downloadfonts
        false

        print.tmp.printerfeatures.PostScript/default.can_change_jobtitle
        false

        print.tmp.printerfeatures.PostScript/default.can_change_num_copies
        true

        print.tmp.printerfeatures.PostScript/default.can_change_orientation
        true

        print.tmp.printerfeatures.PostScript/default.can_change_paper_size
        true

        print.tmp.printerfeatures.PostScript/default.can_change_plex
        false

        print.tmp.printerfeatures.PostScript/default.can_change_printincolor
        true

        print.tmp.printerfeatures.PostScript/default.can_change_resolution
        false

        print.tmp.printerfeatures.PostScript/default.can_change_spoolercommand
        true

        print.tmp.printerfeatures.PostScript/default.colorspace.0.name
        default

        print.tmp.printerfeatures.PostScript/default.colorspace.count
        1

        print.tmp.printerfeatures.PostScript/default.has_special_printerfeatures
        true

        print.tmp.printerfeatures.PostScript/default.orientation.0.name
        portrait

        print.tmp.printerfeatures.PostScript/default.orientation.1.name
        landscape

        print.tmp.printerfeatures.PostScript/default.orientation.count
        2

        print.tmp.printerfeatures.PostScript/default.paper.0.height_mm
        210

        print.tmp.printerfeatures.PostScript/default.paper.0.is_inch
        false

        print.tmp.printerfeatures.PostScript/default.paper.0.name
        A5

        print.tmp.printerfeatures.PostScript/default.paper.0.width_mm
        148

        print.tmp.printerfeatures.PostScript/default.paper.1.height_mm
        297

        print.tmp.printerfeatures.PostScript/default.paper.1.is_inch
        false

        print.tmp.printerfeatures.PostScript/default.paper.1.name
        A4

        print.tmp.printerfeatures.PostScript/default.paper.1.width_mm
        210

        print.tmp.printerfeatures.PostScript/default.paper.2.height_mm
        420

        print.tmp.printerfeatures.PostScript/default.paper.2.is_inch
        false

        print.tmp.printerfeatures.PostScript/default.paper.2.name
        A3

        print.tmp.printerfeatures.PostScript/default.paper.2.width_mm
        297

        print.tmp.printerfeatures.PostScript/default.paper.3.height_mm
        279

        print.tmp.printerfeatures.PostScript/default.paper.3.is_inch
        true

        print.tmp.printerfeatures.PostScript/default.paper.3.name
        Letter

        print.tmp.printerfeatures.PostScript/default.paper.3.width_mm
        215

        print.tmp.printerfeatures.PostScript/default.paper.4.height_mm
        355

        print.tmp.printerfeatures.PostScript/default.paper.4.is_inch
        true

        print.tmp.printerfeatures.PostScript/default.paper.4.name
        Legal

        print.tmp.printerfeatures.PostScript/default.paper.4.width_mm
        215

        print.tmp.printerfeatures.PostScript/default.paper.5.height_mm
        431

        print.tmp.printerfeatures.PostScript/default.paper.5.is_inch
        true

        print.tmp.printerfeatures.PostScript/default.paper.5.name
        Tabloid

        print.tmp.printerfeatures.PostScript/default.paper.5.width_mm
        279

        print.tmp.printerfeatures.PostScript/default.paper.6.height_mm
        254

        print.tmp.printerfeatures.PostScript/default.paper.6.is_inch
        true

        print.tmp.printerfeatures.PostScript/default.paper.6.name
        Executive

        print.tmp.printerfeatures.PostScript/default.paper.6.width_mm
        190

        print.tmp.printerfeatures.PostScript/default.paper.count
        7

        print.tmp.printerfeatures.PostScript/default.plex.0.name
        default

        print.tmp.printerfeatures.PostScript/default.plex.count
        1

        print.tmp.printerfeatures.PostScript/default.resolution.0.name
        default

        print.tmp.printerfeatures.PostScript/default.resolution.count
        1

        print.tmp.printerfeatures.PostScript/default.supports_colorspace_change
        false

        print.tmp.printerfeatures.PostScript/default.supports_downloadfonts_change
        false

        print.tmp.printerfeatures.PostScript/default.supports_jobtitle_change
        false

        print.tmp.printerfeatures.PostScript/default.supports_orientation_change
        true

        print.tmp.printerfeatures.PostScript/default.supports_paper_size_change
        true

        print.tmp.printerfeatures.PostScript/default.supports_plex_change
        false

        print.tmp.printerfeatures.PostScript/default.supports_printincolor_change
        true

        print.tmp.printerfeatures.PostScript/default.supports_resolution_change
        false

        print.tmp.printerfeatures.PostScript/default.supports_spoolercommand_change
        true

        privacy.sanitize.migrateFx3Prefs
        true

        security.warn_viewing_mixed
        false

  Graphics

        Adapter Description
        nouveau -- Gallium 0.4 on NV84

        Driver Version
        2.1 Mesa 7.11

        WebGL Renderer
        Blocked for your graphics driver version. Try updating your graphics driver to version NVIDIA 257.21 or newer.

        GPU Accelerated Windows
        0/3. Blocked for your graphics driver version. Try updating your graphics driver to version NVIDIA 257.21 or newer.
Comment 19 K Lars Lohn [:lars] [:klohn] 2012-02-24 10:02:46 PST
now this is interesting.  FF froze this morning and on restart, I get different info in about:support under the Graphics heading.  I'm not aware of any changes to the system or Firefox since my last posting of this information:

  Graphics

        Adapter Description
        nouveau -- Gallium 0.4 on NV84

        Driver Version
        2.1 Mesa 7.11

        WebGL Renderer
        nouveau -- Gallium 0.4 on NV84 -- 2.1 Mesa 7.11

        GPU Accelerated Windows
        0/2
Comment 20 Benoit Jacob [:bjacob] (mostly away) 2012-02-24 10:19:42 PST
Is WebGL still crashy? What happens if you visit e.g. http://webglsamples.googlecode.com/hg/aquarium/aquarium.html ?

The oddity you noticed is probably due to caching of blacklisting logic.
Comment 21 Benoit Jacob [:bjacob] (mostly away) 2012-02-24 15:24:54 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/887637d1c9ea
Comment 22 K Lars Lohn [:lars] [:klohn] 2012-02-24 17:33:32 PST
:bjacob, the aquarium Web page seems to work fine.  I set it at 250 fish, turned on all the options and left it running all afternoon.  I'm getting a steady 15 frames per second.

However, if I go to github and try to comment on a line of code in a pull request, FF freezes hard, requiring SIGKILL to stop it.  No breakpad crash report was generated.
Comment 23 Marco Bonardo [::mak] 2012-02-25 02:31:01 PST
https://hg.mozilla.org/mozilla-central/rev/887637d1c9ea
Comment 24 Alex Keybl [:akeybl] 2012-02-27 16:31:04 PST
Was https://bugzilla.mozilla.org/show_bug.cgi?id=729817#c22 tested with the patch in this bug applied? Or are we comfortable with calling this fixed on m-c?
Comment 25 Alex Keybl [:akeybl] 2012-02-28 15:09:44 PST
Comment on attachment 600115 [details] [diff] [review]
block Nouveau

[Triage Comment]
Although this is low risk, we're only approving for Aurora 12 based upon the low user benefit.
Comment 26 Zack Weinberg (:zwol) 2012-02-28 16:10:43 PST
This potentially affects any Linux user on any site that uses Modernizr to detect WebGL support.  It's not just a Github problem nor is it limited to SuSE.  (I personally tripped over it on html5boilerplate.com on a Debian machine.)

Also, it seems to me that there is no good reason not to backport all blocklist adjustments to all active branches.
Comment 27 Alex Keybl [:akeybl] 2012-02-29 15:55:55 PST
(In reply to Zack Weinberg (:zwol) from comment #26)
> This potentially affects any Linux user on any site that uses Modernizr to
> detect WebGL support.  It's not just a Github problem nor is it limited to
> SuSE.  (I personally tripped over it on html5boilerplate.com on a Debian
> machine.)
> 
> Also, it seems to me that there is no good reason not to backport all
> blocklist adjustments to all active branches.

The approval request in https://bugzilla.mozilla.org/show_bug.cgi?id=729817#c12 was for Aurora only and noted that this issue is specific to OpenSUSE/Nvidia.

Benoit - can you clarify whether this is needed for FF11 in our final beta? We typically only take fixes in beta 6 that are backouts to known states or something we'd chemspill for.
Comment 28 Zack Weinberg (:zwol) 2012-02-29 16:30:01 PST
(In reply to Alex Keybl [:akeybl] from comment #27)
> 
> The approval request in
> https://bugzilla.mozilla.org/show_bug.cgi?id=729817#c12 was for Aurora only
> and noted that this issue is specific to OpenSUSE/Nvidia.

I should have written out a formal approval request when I added the a+beta request.  Sorry about that.  But the whole reason I'm in this bug is to point out that it's a more widespread problem than was previously realized.
Comment 29 Benoit Jacob [:bjacob] (mostly away) 2012-03-01 14:47:16 PST
Zack is right to say that this is a very widespread problem, much more so than I realized until this week. I thought that Nouveau 3D was only installed by a few enthusiasts, but it turns out that it's now installed by default by mainstream distros including Ubuntu 11.10 and OpenSuse.

Given that, and the very low risk, I would support taking this in 11.

But I also understand that this is disturbing from a process perspective, and it is true that we have lived with this crash in the wild since Firefox 7 times (and Ubuntu 11.10 has been out since October). It's increasingly becoming a problem with websites using "Modernizr" more, though, so maybe that gives us a good reason to make an exception.
Comment 30 Benoit Jacob [:bjacob] (mostly away) 2012-03-01 15:39:24 PST
http://hg.mozilla.org/releases/mozilla-aurora/rev/c86866d1eddb
Comment 31 Daniel Veditz [:dveditz] 2012-03-01 16:27:02 PST
Comment on attachment 600115 [details] [diff] [review]
block Nouveau

re-requesting beta (Fx11) approval because I don't think the last several comments have been considered
Comment 32 Daniel Veditz [:dveditz] 2012-03-01 16:31:52 PST
Not convinced enterprise users are doing heavy WebGL work with cutting-edge drivers, but if we think enough people are stumbling over this to take in Fx11 then maybe it is important enough. Or maybe it's worth blocking now so that we don't have to figure out where all the crashes are coming from on ESR six months from now.
Comment 33 Benoit Jacob [:bjacob] (mostly away) 2012-03-01 17:48:19 PST
Again, this bug was initially filed about github.com. Indeed, many websites like github are using a library called 'modernizr' that creates a webgl context just to be cool.
Comment 34 Zack Weinberg (:zwol) 2012-03-01 19:56:39 PST
Interestingly, it *doesn't* crash on a couple of demo sites that actually do something with WebGL.
Comment 35 Scoobidiver (away) 2012-03-01 23:40:42 PST
Fx 13 is the trunk build where the patch landed first.
Comment 36 Benoit Jacob [:bjacob] (mostly away) 2012-03-02 07:59:22 PST
(In reply to Scoobidiver from comment #35)
> Fx 13 is the trunk build where the patch landed first.

But it's now on Aurora! Am I misunderstanding Target Milestone?
Comment 37 Benoit Jacob [:bjacob] (mostly away) 2012-03-02 08:00:30 PST
(In reply to Zack Weinberg (:zwol) from comment #34)
> Interestingly, it *doesn't* crash on a couple of demo sites that actually do
> something with WebGL.

I know! Doesn't make much sense to me. Maybe different context creation options.
Comment 38 Scoobidiver (away) 2012-03-02 09:04:49 PST
(In reply to Benoit Jacob [:bjacob] from comment #36)
> But it's now on Aurora! Am I misunderstanding Target Milestone?
Aurora, Beta and Release are not target milestones because they bypass the channel train. The only target milestone is the trunk. Status flags are there to know if there was a channel bypass.
Comment 39 Alex Keybl [:akeybl] 2012-03-02 10:13:57 PST
Comment on attachment 600115 [details] [diff] [review]
block Nouveau

Taking a look at the total crashes over the past week across all Firefox versions (see [1]), this is not a critical fix that we should take in our sixth beta.

[1] https://crash-stats.mozilla.com/query/query?product=Firefox&version=ALL%3AALL&range_value=1&range_unit=weeks&date=03%2F02%2F2012+18%3A10%3A31&query_search=signature&query_type=contains&query=nouveau_dri.so%40&reason=&build_id=&process_type=any&hang_type=any&do_query=1
Comment 40 Alex Keybl [:akeybl] 2012-03-02 10:14:44 PST
Additionally, there's no need to track for the ESR. We'll be watching ESR top crash lists and if this moves up, we'll consider fixing it.
Comment 41 Benoit Jacob [:bjacob] (mostly away) 2012-03-02 10:21:45 PST
That's 23 crashes over the last week. While this is very low compared to our overall top-crashers, notice that Linux has only 1 or 2 % of desktop OS market share so it's hard for any linux crasher to look big in terms of absolute numbers of crashes. To put this in perspective, let's look at the topcrashers list for Linux:

https://crash-stats.mozilla.com/query/query?product=Firefox&version=ALL%3AALL&platform=linux&range_value=1&range_unit=weeks&date=03%2F02%2F2012+18%3A10%3A31&query_search=signature&query_type=contains&query=&reason=&build_id=&process_type=any&hang_type=any&do_query=1

Here we see that the 100th Linux topcrasher has 26 occurences / week, so, indeed, the present crash is not even the 100th topcrasher on linux so I agree that it doesn't require emergency action. Just wanted to put this in perspective. In particular, given that the fix is so easy, I think that it's important enough to warrant landing in ESR.
Comment 42 Brandon Frohs 2012-03-02 10:57:15 PST
It should be noted that before disabling WebGL, my browser would crash almost every time I visited any page on GitHub. Most of the time, it did *not* send a crash report, because it would hang and have to be forced close, but Firefox didn't catch the crash. So, the numbers you have on file for crash stats are greatly skewed (to submit a bug report, I had to click the context menu rather than allowing the application to be forced close by Ubuntu).
Comment 43 Brandon Frohs 2012-03-02 11:00:23 PST
(In reply to Zack Weinberg (:zwol) from comment #34)
> Interestingly, it *doesn't* crash on a couple of demo sites that actually do
> something with WebGL.

I never had any problem with WebGL, and have went out of my way to experiment with WebGL demos in my spare time. This is the first time I've ever had Firefox crash from it (and it wasn't even from a demo, just some script on GitHub).
Comment 44 Benoit Jacob [:bjacob] (mostly away) 2012-03-02 11:03:00 PST
Comment 42 makes a very good point. Also, bug 731296 shows a similar issue (though "just" a X error, it still crashes firefox) with the 'radeon' driver, although I can't reproduce myself with he radeon driver.

Bug 732441 would remove all these crashes by avoiding touching OpenGL until WebGL is actually used (as opposed to just creating a WebGL context that doesn't get used).
Comment 45 Benoit Jacob [:bjacob] (mostly away) 2012-03-02 11:38:03 PST
Can you please tell me if this page reproduces the crash:
http://people.mozilla.org/~bjacob/webgl.html
Comment 46 Brandon Frohs 2012-03-02 11:48:34 PST
(In reply to Benoit Jacob [:bjacob] from comment #45)
> Can you please tell me if this page reproduces the crash:
> http://people.mozilla.org/~bjacob/webgl.html

I reenabled WebGL to test and your test did not crash Firefox, even after several refreshes. I went to GitHub, and it crashed on one of the first pages. See https://crash-stats.mozilla.com/report/list?signature=nouveau_dri.so%400xa17ea -- Also note in the comments, the other person who claims to have had it crash 20 times in a row.
Comment 47 K Lars Lohn [:lars] [:klohn] 2012-03-02 11:50:00 PST
@bjocob: that url did _not_ trigger the problem. I got this output:

WebGL context successfully created in 70 ms.
Renderer: Mozilla
Version: WebGL 1.0

-----------

immediately thereafter, I opened a new tab, loaded github and tried to look at a Socorro pull request.  It crashed immediately: https://crash-stats.mozilla.com/report/index/bp-0d569d82-ad6d-4452-9650-a987c2120302
Comment 48 Brandon Frohs 2012-03-02 11:51:12 PST
(In reply to Benoit Jacob [:bjacob] from comment #45)
> Can you please tell me if this page reproduces the crash:
> http://people.mozilla.org/~bjacob/webgl.html

So, must have been pure luck. After GitHub crashed Firefox, I restarted, loaded up your example again, and it crashed. Here's the crash-stat link: https://crash-stats.mozilla.com/report/index/bp-37d941c3-53a3-4388-8d7e-1ecff2120302
Comment 49 Zack Weinberg (:zwol) 2012-03-02 16:43:41 PST
Your test case doesn't crash for me, but here's a gdb backtrace for the crash on github and/or h5bp, using latest trunk with webgl.force_enabled = true:


#0  0x00007f28a5dfa1ef in ?? ()
   from /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#1  0x00007f28a5dfa4b6 in ?? ()
   from /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#2  0x00007f28a5dbc52b in ?? ()
   from /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#3  0x00007f28a59b67fc in nouveau_pushbuf_flush (chan=0x7f28b55dc000, min=0)
    at ../../nouveau/nouveau_pushbuf.c:277
#4  0x00007f28a5dfeaeb in ?? ()
   from /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#5  0x00007f28a5d7b304 in ?? ()
   from /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#6  0x00007f28a5d77926 in ?? ()
   from /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#7  0x00007f28a71b1fcd in glXMakeCurrentReadSGI ()
   from /usr/lib/x86_64-linux-gnu/libGL.so.1
#8  0x00007f28c81f0cac in mozilla::gl::GLXLibrary::xMakeCurrent (
    this=0x7f28c931fc20, display=0x7f28c96a4000, drawable=42056506, 
    context=0x7f28ac0895d0)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:432
#9  0x00007f28c81f0d32 in MakeCurrentImpl (this=0x7f28a31ae000, 
    aForce=<optimized out>)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:793
#10 mozilla::gl::GLContextGLX::MakeCurrentImpl (this=0x7f28a31ae000, 
    aForce=<optimized out>)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:782
#11 0x00007f28c81f1f7c in Init (this=0x7f28a31ae000)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:773
#12 mozilla::gl::GLContextGLX::CreateGLContext (format=..., 
    display=0x7f28c96a4000, drawable=42056506, cfg=0x7f28b6071fe0, 
    vinfo=<optimized out>, shareContext=0x7f28b64e1800, deleteDrawable=true, 
    pixmap=0x7f28a56cd880)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:726
#13 0x00007f28c81f2831 in mozilla::gl::CreateOffscreenPixmapContext (
    aFormat=..., aShare=true, aSize=...)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:1280
#14 0x00007f28c81f29ac in CreateOffscreenPixmapContext (aShare=true, 
    aFormat=..., aSize=...)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:1172
#15 mozilla::gl::GLContextProviderGLX::CreateOffscreen (aSize=..., aFormat=...)
    at /home/zack/src/mozilla/S-mc/gfx/gl/GLContextProviderGLX.cpp:1291
#16 0x00007f28c782ffb4 in SetDimensions (height=150, width=300, 
    this=0x7f289f418000)
    at /home/zack/src/mozilla/S-mc/content/canvas/src/WebGLContext.cpp:501
#17 mozilla::WebGLContext::SetDimensions (this=0x7f289f418000, 
    width=<optimized out>, height=<optimized out>)
    at /home/zack/src/mozilla/S-mc/content/canvas/src/WebGLContext.cpp:329
#18 0x00007f28c789bacc in nsHTMLCanvasElement::UpdateContext (
    this=0x7f28a31c0480, aNewContextOptions=0x0)
    at /home/zack/src/mozilla/S-mc/content/html/content/src/nsHTMLCanvasElement.cpp:650
#19 0x00007f28c789c52f in nsHTMLCanvasElement::GetContext (
    this=0x7f28a31c0480, aContextId=..., aContextOptions=..., 
    aContext=0x7fff87efe800)
    at /home/zack/src/mozilla/S-mc/content/html/content/src/nsHTMLCanvasElement.cpp:571
#20 0x00007f28c7cfb141 in nsIDOMHTMLCanvasElement_GetContext (
    cx=0x7f289e9e5000, argc=<optimized out>, vp=0x7f28b79f4818)
    at /home/zack/src/mozilla/B-mc/js/xpconnect/src/dom_quickstubs.cpp:17669
#21 0x00007f28c849b95d in js::CallJSNative (cx=0x7f289e9e5000, 
    native=0x7f28c7cfb012 <nsIDOMHTMLCanvasElement_GetContext(JSContext*, unsigned int, jsval*)>, args=...)
Comment 50 alex_mayorga 2012-03-07 20:16:13 PST
With webgl.force-enabled true on Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20120307 Firefox/13.0a1 ID:20120307150039 it won't crash with the following URLs loaded all at the same time...

URL: http://people.mozilla.org/~bjacob/webgl.html
Result:
WebGL context successfully created in 5 ms.
Renderer: Mozilla
Version: WebGL 1.0

URL: https://github.com/mozilla/socorro/pull/422
Result:
The page is visible with no issue.

URL: http://webglsamples.googlecode.com/hg/aquarium/aquarium.html
Result:
16 fps with 250 fish and all options turned on.

about:support

Graphics      
Adapter Description nouveau -- Gallium 0.4 on NVA5
Vendor ID nouveau
Device ID Gallium 0.4 on NVA5
Driver Version 2.1 Mesa 8.0.1
WebGL Renderer nouveau -- Gallium 0.4 on NVA5 -- 2.1 Mesa 8.0.1
GPU Accelerated Windows 0. Blocked for your graphics driver version. Try updating your graphics driver to version <NOT Gallium> or newer.
AzureBackend skia

What would it take to get nouveau white listed again?
Am I just lucky?
Comment 51 Benoit Jacob [:bjacob] (mostly away) 2012-03-07 21:46:17 PST
We'd need to understand what we can whitelist without re-enabling the crash for the original reporter here.

The most obvious difference is that you're on Mesa 8.0.1 while the original reporter is on 7.11. Maybe it's worth trying to confirm whether the crash can still be reproduced by anyone on Mesa 8.0.1+.
Comment 52 Zack Weinberg (:zwol) 2012-03-08 16:28:06 PST
I see the crash on my computer, with

| Adapter Description    nouveau -- Gallium 0.4 on NV94
| Driver Version         2.1 Mesa 7.11.2
| WebGL Renderer         nouveau -- Gallium 0.4 on NV94 -- 2.1 Mesa 7.11.2

which is what's currently in Debian's "unstable" distribution.  They
have Mesa 8.0 (not 8.0.1) in "experimental", so I upgraded to that:

| Adapter Description    nouveau -- Gallium 0.4 on NV94
| Driver Version         2.1 Mesa 8.0
| WebGL Renderer         nouveau -- Gallium 0.4 on NV94 -- 2.1 Mesa 8.0

and the crash seems to be gone.  Formerly I could reproduce it with 100% reliability by going to http://html5boilerplate.com/docs/ and then quickly middle-clicking (i.e. "open in new tab") on a whole bunch of the links down the left-hand side.

This is with Firefox 10.  My local build of Firefox trunk declines to use nouveau for other reasons:

| Adapter Description     nouveau -- Gallium 0.4 on NV94
| Vendor ID               nouveau
| Device ID               Gallium 0.4 on NV94
| Driver Version          2.1 Mesa 8.0
| WebGL Renderer          Blocked for your graphics driver version.
|                         Try updating your graphics driver to version
|                         <Anything with EXT_texture_from_pixmap support>
|                         or newer.
Comment 53 Zack Weinberg (:zwol) 2012-03-08 17:27:42 PST
Actually, that last is a bug; applying this patch to GfxInfoX11.cpp makes trunk accept Nouveau.  about:support is somehow getting the wrong suggestedDriverVersion string.  Filed bug 734297.

       if (mIsMesa) {
-        if (mIsNouveau) {
+        if (mIsNouveau && version(mMajorVersion, mMinorVersion, mRevisionVersion) < version(8,0,0)) {
           *aStatus = nsIGfxInfo::FEATURE_BLOCKED_DRIVER_VERSION;
-          aSuggestedDriverVersion.AssignLiteral("<Not the Nouveau driver>");
+          aSuggestedDriverVersion.AssignLiteral("Mesa 8.0");
         } else if (version(mMajorVersion, mMinorVersion, mRevisionVersion) < version(7,10,3)) {
Comment 54 Benoit Jacob [:bjacob] (mostly away) 2012-03-08 20:17:29 PST
Created attachment 604292 [details] [diff] [review]
Allow Nouveau when Mesa >= 8.0

Right on Zack, this is your patch, just with a tiny simplification as version()'s 3rd argument is optional. r+, landing.
Comment 55 Benoit Jacob [:bjacob] (mostly away) 2012-03-08 20:21:09 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/46568dcbb764
Comment 56 Benoit Jacob [:bjacob] (mostly away) 2012-03-09 05:10:13 PST
Comment on attachment 604292 [details] [diff] [review]
Allow Nouveau when Mesa >= 8.0

[Approval Request Comment]
Regression caused by (bug #): this bug, bug 729817
User impact if declined: Nouveau 8.0+ will stay blacklisted in Firefox 12, denying WebGL to more users than necessary. We'll have to deal with angry people for no good reason, since we're allowing it in Firefox 13.
Testing completed (on m-c, etc.): Mesa 8.0 tested by 2 people already (see recent comments). Patch just landed.
Risk to taking this patch (and alternatives if risky): If it turned out that Mesa 8.0 were still crashy, we'd have crashes again like before.
String changes made by this patch: none translatable.
Comment 57 Marco Bonardo [::mak] 2012-03-09 05:35:29 PST
https://hg.mozilla.org/mozilla-central/rev/46568dcbb764
Comment 58 Alex Keybl [:akeybl] 2012-03-09 11:58:50 PST
Comment on attachment 604292 [details] [diff] [review]
Allow Nouveau when Mesa >= 8.0

[Triage Comment]
We'll keep an eye out for increased crashiness on 12. Approved.
Comment 59 Benoit Jacob [:bjacob] (mostly away) 2012-03-09 12:34:26 PST
http://hg.mozilla.org/releases/mozilla-aurora/rev/f34b0b635e29
Comment 60 alex_mayorga 2012-03-11 11:40:51 PDT
As of Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20120311 Firefox/13.0a1 ID:20120311051825 with webgl.force-enabled false about:support shows:

Graphics
Adapter Description nouveau -- Gallium 0.4 on NVA5
Vendor ID nouveau
Device ID Gallium 0.4 on NVA5
Driver Version 2.1 Mesa 8.0.1
WebGL Renderer nouveau -- Gallium 0.4 on NVA5 -- 2.1 Mesa 8.0.1
GPU Accelerated Windows 0
AzureBackend skia

Note You need to log in before you can comment on or make changes to this bug.